  class UsersController < ApplicationController
    before_action :set_user, only: [:show, :update, :destroy]
	protect_from_forgery with: :null_session
  
    # GET /users/1.json
    def show
    end
  
    # POST /users
    # POST /users.json
    def create
      @user = User.new
  
      respond_to do |format|
        if @user.save
          format.json { render action: 'show', status: :created, location: @user }
        else
          format.json { render json: @user.errors, status: :unprocessable_entity }
        end
      end
    end

    # DELETE /users/1.json
    def destroy
      @user.destroy
      respond_to do |format|
        format.json { head :no_content }
      end
    end
  
    private

    def set_user
      @user = User.find_by(uuid: yes
params[:id])
    end
  end
